Image analysis
API reference
Returns an analysis of the check's image quality assurance (IQA) status based on the Fed's metrics.
Endpoint: /checks/v1/payments/{id}/analysis
GET
https://sandbox.crbcos.com/checks/v1/payments/{id}/analysis
Path Parameters
- idstringrequiredDescription
Response
- analysisobjectDescription
- acceptedbooleanDescription
- processingStatusstringDescription
- requestStatusstringDescription
- processingIdstringDescription
- iqaMessagestringDescription
- transactionStatusCodeintegerDescription
- transactionIdintegerDescription
- groupNamestringDescription
- organizationNamestringDescription
- submissionDatestringDescription
- flexibleFieldsstringDescription
- readFieldsobjectDescription
- namestringDescription
- valuestringDescription
- confidencestringDescription
- testResultsobjectDescription
- checkSidestringDescription
- namestringDescription
- valuestringDescription
- thresholdintegerDescription
- confidencestringDescription
- idstringDescription
- accountNumberstringDescription
- referenceIdstringDescription
- paymentTypestringDescription
- checkTypestringDescription
- direction stringDescription
- statusstringDescription
- sourcestringDescription
- postingstringDescription
- rejectionReasonstringDescription
- positivePayResultstringDescription
- positivePayMatchIdstringDescription
- postingCodestringDescription
- clientBatchIdstringDescription
- clientBatchSequenceintegerDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- coreTransactionIdstringDescription
- memoPostIdstringDescription
- originalPaymentIdstringDescription
- customerIdstringDescription
- payerRoutingNumberstringDescription
- payerAccountNumberstringDescription
- payeeNamestringDescription
- checkNumberstringDescription
- bofdRoutingNumberstringDescription
- sequenceNumberstringDescription
- amountintegerDescription
- currencystringDescription
- micrstringDescription
- recognizedAmountintegerDescription
- iqaPassedbooleanDescription
- returnCodestringDescription
- hasFrontImagebooleanDescription
- hasBackImagebooleanDescription
- isRedepositbooleanDescription
- policy stringDescription
- schedulearrayDescription
- createdAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- processedAtstringDescription
- completedAtstringDescription
- postedAtstringDescription
- wasReturnedbooleanDescription
- purposestringDescription
- clientIdentifierstringDescription
- depositBusinessDatestringDescription
- lockboxVendorIdstringDescription
- productIdstringDescription
- partnerIdstringDescription
- lastModifiedAtstringDescription
curl
curl --location 'https://sandbox.crbcos.com/checks/v1/payments/18619219-ccbb-45a6-a068-b30c008f7b47/analysis' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/checks/v1/payments/18619219-ccbb-45a6-a068-b30c008f7b47/analysis',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import http.client
conn = http.client.HTTPSConnection("sandbox.crbcos.com")
payload = ''
headers = {
'Authorization': 'Bearer <token>'
}
conn.request("GET", "/checks/v1/payments/18619219-ccbb-45a6-a068-b30c008f7b47/analysis", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/checks/v1/payments/18619219-ccbb-45a6-a068-b30c008f7b47/analysis")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/checks/v1/payments/18619219-ccbb-45a6-a068-b30c008f7b47/analysis"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"analysis": {
"data": {
"accepted": true,
"processingStatus": "Passed",
"requestStatus": "Succeeded",
"processingId": "7014d18e-dce3-478d-9078-c35e3800815e",
"iqaMessage": "IQAGOOD",
"transactionStatusCode": 0,
"transactionId": 1667429,
"groupName": "Cross River Group",
"organizationName": "Cross River",
"submissionDate": "2025-06-30T04:42:26.942507-04:00",
"flexibleFields": {},
"readFields": [
{
"name": "MICR",
"value": "d314074269dc28293886c1237",
"confidence": 1000
},
{
"name": "CheckRoutingNumber",
"value": "314074269"
},
{
"name": "CheckAccountNumber",
"value": "28293886"
},
{
"name": "CheckNumber",
"value": "1237"
},
{
"name": "RecognizedAmount",
"value": "1.00",
"confidence": 199
}
],
"testResults": [
{
"checkSide": "Front",
"name": "MICR Confidence",
"value": "Passed",
"threshold": 500,
"confidence": 1000
},
{
"checkSide": "Front",
"name": "Amounts Match",
"value": "ManualReview",
"threshold": 500,
"confidence": 199
},
{
"checkSide": "Front",
"name": "Front Focus",
"value": "Passed",
"threshold": 350,
"confidence": 1000
},
{
"checkSide": "Back",
"name": "Back Focus",
"value": "Passed",
"threshold": 100,
"confidence": 595
},
{
"checkSide": "Front",
"name": "Shadow on Image",
"value": "Passed",
"threshold": 851,
"confidence": 1000
},
{
"checkSide": "Back",
"name": "Shadow on Image",
"value": "Passed",
"threshold": 851,
"confidence": 1000
},
{
"checkSide": "Front",
"name": "Contrast of Image",
"value": "Passed",
"threshold": 401,
"confidence": 1000
},
{
"checkSide": "Back",
"name": "Contrast of Image",
"value": "ManualReview",
"threshold": 401,
"confidence": 340
},
{
"checkSide": "Front",
"name": "Cut Corners",
"value": "Passed",
"threshold": 751,
"confidence": 1000
},
{
"checkSide": "Back",
"name": "Cut Corners",
"value": "Passed",
"threshold": 751,
"confidence": 1000
},
{
"checkSide": "Front",
"name": "Image Too Small",
"value": "Passed",
"threshold": 501,
"confidence": 1000
},
{
"checkSide": "Back",
"name": "Image Too Small",
"value": "Passed",
"threshold": 501,
"confidence": 1000
},
{
"checkSide": "Front",
"name": "Darkness",
"value": "Passed",
"threshold": 401,
"confidence": 863
},
{
"checkSide": "Back",
"name": "Darkness",
"value": "Passed",
"threshold": 401,
"confidence": 839
},
{
"checkSide": "Front",
"name": "View Angle",
"value": "Passed",
"threshold": 701,
"confidence": 970
},
{
"checkSide": "Back",
"name": "View Angle",
"value": "Passed",
"threshold": 701,
"confidence": 967
},
{
"checkSide": "Front",
"name": "Rotation Angle",
"value": "Passed",
"threshold": 701,
"confidence": 991
},
{
"checkSide": "Back",
"name": "Rotation Angle",
"value": "Passed",
"threshold": 701,
"confidence": 998
},
{
"checkSide": "Front",
"name": "Folded Or Torn Corner",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Folded Or Torn Corner",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Folded Or Torn Edge",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Folded Or Torn Edge",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Excessive Skew",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Excessive Skew",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Piggyback Document",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Piggyback Document",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Too Light",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Too Light",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Too Dark",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Too Dark",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Undersize Image",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Undersize Image",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Oversize Image",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Oversize Image",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Excessive Spot Noise",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Excessive Spot Noise",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Back",
"name": "Endorsement Presence",
"value": "ManualReview",
"threshold": 750,
"confidence": 2
},
{
"checkSide": "Front",
"name": "Aspect Ratio Validation",
"value": "Passed",
"threshold": 900,
"confidence": 998
},
{
"checkSide": "Front",
"name": "MICR Intrusion Detection",
"value": "Passed",
"threshold": 100,
"confidence": 1000
},
{
"checkSide": "Front",
"name": "Check Length",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Check Height",
"value": "Unknown",
"threshold": 0,
"confidence": 0
},
{
"checkSide": "Front",
"name": "Bitonal Image Size",
"value": "Passed",
"threshold": 500,
"confidence": 1000
},
{
"checkSide": "Back",
"name": "Bitonal Image Size",
"value": "Passed",
"threshold": 500,
"confidence": 1000
}
]
}
},
"id": "18619219-ccbb-45a6-a068-b30c008f7b47",
"accountNumber": "2640511503",
"referenceId": "C181DC3259D7",
"paymentType": "Forward",
"checkType": "Standard",
"direction": "Outbound",
"status": "Canceled",
"source": "Api",
"posting": "Canceled",
"postingCode": "OK",
"coreTransactionId": "31746634-977b-461f-9899-b30c008f7b47",
"memoPostId": "51b24aa9-1cdc-4d82-9ddb-b30c008f7b47",
"originalPaymentId": "18619219-ccbb-45a6-a068-b30c008f7b47",
"customerId": "53c34cf0-4cd2-4768-937b-b30000dffdca",
"payerRoutingNumber": "314074269",
"payerAccountNumber": "28293886",
"payeeName": "",
"checkNumber": "1237",
"bofdRoutingNumber": "021214891",
"sequenceNumber": "2203615981",
"amount": 10000,
"currency": "usd",
"micr": "d314074269dc28293886c1237",
"recognizedAmount": 100,
"iqaPassed": true,
"hasFrontImage": true,
"hasBackImage": true,
"isRedeposit": false,
"policy": "Standard",
"schedule": [
0,
10000
],
"createdAt": "2025-06-30T04:42:24.02-04:00",
"canceledAt": "2025-06-30T05:02:14.083-04:00",
"wasReturned": false,
"purpose": "SKIP_IQA",
"depositBusinessDate": "250701",
"productId": "83bed086-8182-4151-a1e3-af5b01362783",
"partnerId": "cd9c12f4-7691-424a-b38b-af5b0134c611",
"lastModifiedAt": "2025-06-30T05:02:14.1158174-04:00"
}